Skip to main content

createOrUpdateReachabilityAnalysis

Create or Update Reachability Analysis

createOrUpdateReachabilityAnalysis(
input: CreateOrUpdateReachabilityAnalysisInput!
): CreateOrUpdateReachabilityAnalysisPayload

Arguments​

createOrUpdateReachabilityAnalysis.input ● CreateOrUpdateReachabilityAnalysisInput! non-null input​

Parameters for CreateOrUpdateReachabilityAnalysis

Type​

CreateOrUpdateReachabilityAnalysisPayload object​

Autogenerated return type of CreateOrUpdateReachabilityAnalysis.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the issues query first and use data.issues.collection[].id as issueId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateReachabilityAnalysis($input: CreateOrUpdateReachabilityAnalysisInput!) {\n createOrUpdateReachabilityAnalysis(input: $input) { clientMutationId issue { id title status } }\n}","variables":{"input":{"issueId":"<issue_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute